/*
 * SPDX-FileCopyrightText: 2018, 2020 Bruce Cowan <bruce@bcowan.me.uk>
 * SPDX-License-Identifier: GPL-3.0-or-later
 */

#pragma once

#include <gtk/gtk.h>

#include "glob-match-item.h"

G_BEGIN_DECLS

#define GLOB_TYPE_MATCH_WIDGET (glob_match_widget_get_type())

G_DECLARE_FINAL_TYPE (GlobMatchWidget, glob_match_widget, GLOB, MATCH_WIDGET, GtkListBoxRow)

GtkWidget * glob_match_widget_new (GlobMatchItem *item);

GlobMatchItem * glob_match_widget_get_item (GlobMatchWidget *self);

G_END_DECLS
